summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--games-arcade/tuxanci/ChangeLog3
-rw-r--r--games-arcade/tuxanci/Manifest4
-rw-r--r--games-arcade/tuxanci/tuxanci-0.18_rc1.ebuild25
3 files changed, 26 insertions, 6 deletions
diff --git a/games-arcade/tuxanci/ChangeLog b/games-arcade/tuxanci/ChangeLog
index 65540fd9b..e1c62fdf2 100644
--- a/games-arcade/tuxanci/ChangeLog
+++ b/games-arcade/tuxanci/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 01 Jun 2007; Jakub Moc <jakub@gentoo.org> tuxanci-0.18_rc1.ebuild:
+ Fix dependencies, add ~amd64 keyword
+
01 Jun 2007; Jakub Moc <jakub@gentoo.org> +tuxanci-0.18_rc1.ebuild:
Version bump
diff --git a/games-arcade/tuxanci/Manifest b/games-arcade/tuxanci/Manifest
index e7b269e2a..15e4e427a 100644
--- a/games-arcade/tuxanci/Manifest
+++ b/games-arcade/tuxanci/Manifest
@@ -1,6 +1,6 @@
DIST tuxanci-0.07.tar.bz2 1182820 RMD160 cfaa33651ab7b7ac5b2cf3e50a436d35b5afdff0 SHA1 15534d5356afab3cb9b79b753c3a05fc4778f652 SHA256 0bbaae9d356afd651c5bc1ce6218c149e406b5470df894a4f621b9e46bfd6696
DIST tuxanci-0.18rc1.tar.bz2 3146650 RMD160 b9e99b7f4536cad8e006df9e2d3dc5f5bdcd597e SHA1 908d30414bc955c2d8dfebd09d3d088d4612bda2 SHA256 a305fbb8177c651ec409a7997680593b3f932a0e0f4205dec23ddcc32071b996
EBUILD tuxanci-0.07.ebuild 820 RMD160 914393bb916c14d6f2f17d642eb6b5cc2666148e SHA1 155f851f474df4844a6c16e6c8135bdad446b586 SHA256 629629af0d58e9242b353482f1e3f607bcbf7700962c98e0c62bf3366a4f4fbb
-EBUILD tuxanci-0.18_rc1.ebuild 638 RMD160 beca290ff2142d1ee5376bedb0ac01f43644ca82 SHA1 d373fd82f08e422199c3e61657e06862c8192965 SHA256 ef4b134c3922952a4c8bf66727a7f2233c4c569e52e05a5b0bc66e365c246f38
-MISC ChangeLog 574 RMD160 f9a5be5ae4aee0bb5a7095bd89d042385c6ca341 SHA1 7ce1550c43e08e02a3e693b311dfcc7617077211 SHA256 a4b2259d9a816bcb4dbaefee8287db3a4a5824709d2a314ab8ed0d65fa5d1e74
+EBUILD tuxanci-0.18_rc1.ebuild 1104 RMD160 e2049afa412e36a2a92e4ee2cfc46cf7d8eec6e9 SHA1 c5bfea8d846e1f6c48eaa360c7c45bb955bbbbc7 SHA256 ba3c9317fc9eaf87bc18499407b9c97928bff6bc7352171334964fe80c30e6db
+MISC ChangeLog 683 RMD160 0db874e4682e6c2cec959feb8b92e2bc56852877 SHA1 da53e4ee7ffd98c1447a57710947792cbd7eadd7 SHA256 a427684abdbc63c7e7e60a1f63d43518abbeade672c54d72cb003828ec4d1d88
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/games-arcade/tuxanci/tuxanci-0.18_rc1.ebuild b/games-arcade/tuxanci/tuxanci-0.18_rc1.ebuild
index a77336ae5..30845d077 100644
--- a/games-arcade/tuxanci/tuxanci-0.18_rc1.ebuild
+++ b/games-arcade/tuxanci/tuxanci-0.18_rc1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-inherit games
+inherit eutils games
MY_P=${P/_/}
@@ -10,17 +10,34 @@ DESCRIPTION="First Cushion Shooter! A remake of well-known Czech game Bulanci."
SRC_URI="http://tuxanci.tuxportal.cz/releases/${MY_P}.tar.bz2"
HOMEPAGE="http://tuxanci.tuxportal.cz"
-KEYWORDS="~x86 ~x86-fbsd"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
LICENSE="GPL-2"
SLOT="0"
-DEPEND="media-libs/libsdl
+DEPEND=">=media-libs/libsdl-1.2.7
media-libs/sdl-ttf
media-libs/sdl-image
- media-libs/sdl-mixer"
+ media-libs/sdl-mixer
+ media-libs/sdl-net
+ media-libs/sdl-ttf"
RDEPEND="${DEPEND}"
S="${WORKDIR}/${MY_P}"
+GAMES_USE_SDL="noaudio"
+
+pkg_setup() {
+ games_pkg_setup
+
+ if ! built_with_use media-libs/sdl-image png ; then
+ eerror "media-libs/sdl-image is missing png support."
+ die "Recompile media-libs/sdl-image with USE=\"png\""
+ fi
+
+ if ! built_with_use media-libs/sdl-mixer vorbis ; then
+ eerror "media-libs/sdl-mixer is missing png support."
+ die "Recompile media-libs/sdl-mixer with USE=\"vorbis\""
+ fi
+}
src_install() {
emake DESTDIR="${D}" install || die "Installation failed."